yum update is failed in Elastix 2.5 pbx

General support questions including new installations
zeb19701
Posts: 2
Joined: 2017/04/23 18:06:26

yum update is failed in Elastix 2.5 pbx

Postby zeb19701 » 2017/04/23 18:28:05

Hi,

I was working with elastix 2.5 and it was working fine. Now as CentOS 5 is EOL and Elastix 2.5 is burnt as package with CentOS 5.x so, I am not getting any updates and elastix addons with yum update / install. The Error I get is

"Loaded plugins: fastestmirror, kmod
Loading mirror speeds from cached hostfile
YumRepo Error: All mirror URLs are not using ftp, http[s] or file.
Eg. Invalid release/
removing mirrorlist with no valid mirrors: /var/cache/yum/base/mirrorlist.txt
Error: Cannot find a valid baseurl for repo: base"

I don't want to upgrade to Elastix 5 as it is owned by 3cx now.

Need help Please.

User avatar
avij
Forum Moderator
Posts: 2272
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: yum update is failed in Elastix 2.5 pbx

Postby avij » 2017/04/23 19:49:07

So you clearly know that CentOS 5 is EOL, which leaves me wondering what kind of help you are looking for.

If you don't like the error message, you can disable the CentOS 5 repositories by editing /etc/yum.repos.d/CentOS-Base.repo

zeb19701
Posts: 2
Joined: 2017/04/23 18:06:26

Re: yum update is failed in Elastix 2.5 pbx

Postby zeb19701 » 2017/04/24 18:28:58

Dear Avij

Thank you for your reply and concern although it wasn't encouraging :D . Anyways I have found the soluton as one can download & Install yum updates and have addons installed by changing the baseurl path in CentOS-Base.repo. It is advised by CentOS that all 5.o release updates, extras and addons can be installed by changing release 5 to 5.11 in the the baseurl path.

The original path in CentOS-Base.repo fie is " baseurl=http://mirror.centos.org/centos/$releasever/os/$basearch/"

Just alter this path to "baseurl=http://vault.centos.org/centos/5.11/os/$basearch/"

Just notice that :
mirror.centos.org is replaced by vault.centos.org AND
$releasever is replaced by 5.11

Just replace these in all the contexts like [base], [updates], [extras],.... in the file CentOS-Base.repo

Stay Blessed !!

User avatar
avij
Forum Moderator
Posts: 2272
Joined: 2010/12/01 19:25:52
Location: Helsinki, Finland
Contact:

Re: yum update is failed in Elastix 2.5 pbx

Postby avij » 2017/04/24 19:02:07

Right. And now that you have run "yum update" to get your system up-to-date for the last time, you could just as well disable those repositories to save some bandwidth and time.

Why's that? Because there will be no more CentOS 5 updates. The CentOS 5 package set on vault will not change. Even if you keep the "updates" repository enabled (pointing to vault this time), you won't get any new packages or updates from that repository.

Only CentOS 6 and CentOS 7 receive updates at the moment. The next time there is some critical vulnerability that affects CentOS 6 or 7, there's a good chance that the same vulnerability affects CentOS 5 as well. However, as there will be no more updates to CentOS 5, you will be left vulnerable.

User avatar
TrevorH
Forum Moderator
Posts: 21744
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: yum update is failed in Elastix 2.5 pbx

Postby TrevorH » 2017/04/24 20:28:38

What we're saying is "Migrate now".
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke